# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2TextShadow Class Reference

The `CSS2TextShadow` interface represents a simple value for the text-shadow CSS Level 2 property. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2TextShadow (const CSS2TextShadow &other)
| CSS2TextShadow (CSS2TextShadowImpl *impl)
CSS2TextShadow & | operator= (const CSS2TextShadow &other)
CSSValue | color () const
CSSValue | horizontal () const
CSSValue | vertical () const
CSSValue | blur () const

## Detailed Description

The `CSS2TextShadow` interface represents a simple value for the text-shadow CSS Level 2 property.

Definition at line 2658 of file css_extensions.h.

## Member Function Documentation

CSSValue CSS2TextShadow::color | ( |  | ) | const

| Specified the color of the text shadow. The CSS Value can contain an empty string if no color has been specified. Definition at line 2018 of file css_extensions.cpp.

CSSValue CSS2TextShadow::horizontal | ( |  | ) | const

| The horizontal position of the text shadow. `0` if no length has been specified. Definition at line 2024 of file css_extensions.cpp.

CSSValue CSS2TextShadow::vertical | ( |  | ) | const

| The vertical position of the text shadow. `0` if no length has been specified. Definition at line 2030 of file css_extensions.cpp.

CSSValue CSS2TextShadow::blur | ( |  | ) | const

| The blur radius of the text shadow. `0` if no length has been specified. Definition at line 2036 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:34 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003